import React from 'react';
import './App.css';

import Meeting from './components/Meeting'
import Wallet from './components/Wallet';

class App extends React.Component {
  constructor(props) {
    super(props);
    this.setSecretKey = this.setSecretKey.bind(this);
    this.setMeetingId = this.setMeetingId.bind(this);

    this.state = {
      secretKey: "",
      meetingId: ""
    }
  }

  setSecretKey(secretKey) {
    this.setState({ secretKey });
  };
  setMeetingId(meetingId) {
    this.setState({ meetingId });
  };


  render() {
    let isSecretKeySet = this.state.secretKey.length > 0 && this.state.meetingId.length > 0;
    let currentWindow;
    if (isSecretKeySet) {
      currentWindow = <Meeting secretKeyBase64={this.state.secretKey} meetingId={this.state.meetingId} />;
    } else {
      currentWindow = <Wallet setSecretKey={this.setSecretKey} setMeetingId={this.setMeetingId} />;
    }

    return (
      <div>
        {currentWindow}
      </div>
    );
  }
}

export default App;
